package kr.ne.outsider.demo2;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.support.ui.ExpectedCondition;
 
public class VisibilityOfElementLocated implements ExpectedCondition<Boolean> {
 
	By findCondition;
 
	VisibilityOfElementLocated(By by) {
		this.findCondition = by;
	}
 
	public Boolean apply(WebDriver driver) {
		driver.findElement(this.findCondition);
		return Boolean.valueOf(true);
	}
 
}